%bcond_without avahi
%bcond_without XTrap

Summary: A VNC server for real X displays
Name: x11vnc
Version: 0.9.9
Release: 4%{?dist}
License: GPLv2+
Group: User Interface/Desktops
URL: http://www.karlrunge.com/x11vnc/
Source0: http://downloads.sourceforge.net/libvncserver/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#BuildRequires: libvncserver-devel
BuildRequires: lzo-devel
BuildRequires: libX11-devel, libXext-devel, libXtst-devel
%{?with_XTrap:BuildRequires: libXTrap-devel}
BuildRequires: libXinerama-devel, libXrandr-devel
BuildRequires: libXfixes-devel, libXdamage-devel
BuildRequires: libjpeg-devel, zlib-devel
BuildRequires: openssl-devel
%{?with_avahi:BuildRequires: avahi-devel}

%description
x11vnc allows one to view remotely and interact with real X displays
(i.e. a display corresponding to a physical monitor, keyboard, and
mouse) with any VNC viewer. In this way it plays the role for Unix/X11
that WinVNC plays for Windows.

%prep
%setup -q
for file in AUTHORS README; do
  cp -a $file $file.latin1
  iconv -f latin1 -t utf8 $file.latin1 > $file
  touch -r $file.latin1 $file
done
#rm -fr libvncserver
#find . -name minilzo\* | xargs echo rm -f | sh -x
#find . -name \*.h -or \*.c | xargs grep -l '#include "minilzo.h"' \
#  | xargs perl -pi -e's,#include "minilzo.h",#include <minilzo.h>,g'

%build
#configure --with-system-libvncserver
#make SUBDIRS="libvncclient x11vnc classes"
%configure
make

%install
rm -rf %{buildroot}
#make install DESTDIR=%{buildroot} SUBDIRS="libvncclient x11vnc classes"
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog NEWS README* TODO
%{_bindir}/x11vnc
%{_mandir}/man1/x11vnc.1*
%{_datadir}/x11vnc
%{_datadir}/applications/x11vnc.desktop

%changelog
* Tue Apr  6 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.9-4
- Update to 0.9.9.

* Thu Aug 28 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.3-2
- Fix non-utf8 docs.
- Conditionalize avahi-devel.
- Do actually use libvncserver-devel.

* Thu Aug 28 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.9.3-1
- Initial build.

